Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class ConsumerInfo

    java.lang.Object
      com.sun.messaging.jms.management.server.ConsumerInfo

All Implemented Interfaces:
  Serializable

    public class ConsumerInfo

extends Object
implements Serializable

This class contains constants/names for fields in the CompositeData that is returned by the operations of the Consumer Manager Monitor MBean.

See Also:
  Serialized Form

Field Summary
`static String` | `ACKNOWLEDGE_MODE` Acknowledge mode
`static String` | `ACKNOWLEDGE_MODE_LABEL` Acknowledge mode label
`static String` | `CLIENT_ID` Client ID
`static String` | `CONNECTION_ID` Connection ID
`static String` | `CONSUMER_ID` Consumer ID
`static String` | `CREATION_TIME` Creation Time
`static String` | `DESTINATION_NAME` Destination Name
`static String` | `DESTINATION_NAMES` Destination Names (that match wildcard)
`static String` | `DESTINATION_TYPE` Destination Type
`static String` | `DURABLE` Durable (whether the consume is a durable or not)
`static String` | `DURABLE_ACTIVE` DurableActive (whether the durable is active or not)
`static String` | `DURABLE_NAME` Durable name
`static String` | `FLOW_PAUSED` Flow Paused
`static String` | `HOST` Host
`static String` | `LAST_ACK_TIME` Last acknowledge time
`static String` | `NEXT_MESSAGE_ID` Next message which should be delivered
`static String` | `NUM_MSGS` Number of messages held for consumer.
`static String` | `NUM_MSGS_PENDING` Number of messages still held for consumer because either they are queued for deliver or pending an ack
`static String` | `NUM_MSGS_PENDING_ACKS` Number of messages still held for consumer because acks for them from the consumer are still pending.
`static String` | `SELECTOR` Selector
`static String` | `SERVICE_NAME` Service Name
`static String` | `USER` User
`static String` | `WILDCARD` Wildcard (whether the consumer is a wildcard or not)

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACKNOWLEDGE_MODE

    public static final String ACKNOWLEDGE_MODE

  Acknowledge mode

  See Also:
    Constant Field Values

### ACKNOWLEDGE_MODE_LABEL

    public static final String ACKNOWLEDGE_MODE_LABEL

  Acknowledge mode label

  See Also:
    Constant Field Values

### CLIENT_ID

    public static final String CLIENT_ID

  Client ID

  See Also:
    Constant Field Values

### CONNECTION_ID

    public static final String CONNECTION_ID

  Connection ID

  See Also:
    Constant Field Values

### CONSUMER_ID

    public static final String CONSUMER_ID

  Consumer ID

  See Also:
    Constant Field Values

### CREATION_TIME

    public static final String CREATION_TIME

  Creation Time

  See Also:
    Constant Field Values

### DESTINATION_NAME

    public static final String DESTINATION_NAME

  Destination Name

  See Also:
    Constant Field Values

### DESTINATION_NAMES

    public static final String DESTINATION_NAMES

  Destination Names (that match wildcard)

  See Also:
    Constant Field Values

### DESTINATION_TYPE

    public static final String DESTINATION_TYPE

  Destination Type

  See Also:
    Constant Field Values

### DURABLE

    public static final String DURABLE

  Durable (whether the consume is a durable or not)

  See Also:
    Constant Field Values

### DURABLE_ACTIVE

    public static final String DURABLE_ACTIVE

  DurableActive (whether the durable is active or not)

  See Also:
    Constant Field Values

### DURABLE_NAME

    public static final String DURABLE_NAME

  Durable name

  See Also:
    Constant Field Values

### FLOW_PAUSED

    public static final String FLOW_PAUSED

  Flow Paused

  See Also:
    Constant Field Values

### HOST

    public static final String HOST

  Host

  See Also:
    Constant Field Values

### LAST_ACK_TIME

    public static final String LAST_ACK_TIME

  Last acknowledge time

  See Also:
    Constant Field Values

### NUM_MSGS

    public static final String NUM_MSGS

  Number of messages held for consumer.

  See Also:
    Constant Field Values

### NUM_MSGS_PENDING_ACKS

    public static final String NUM_MSGS_PENDING_ACKS

  Number of messages still held for consumer because acks for them from the consumer are still pending.

  See Also:
    Constant Field Values

### SELECTOR

    public static final String SELECTOR

  Selector

  See Also:
    Constant Field Values

### SERVICE_NAME

    public static final String SERVICE_NAME

  Service Name

  See Also:
    Constant Field Values

### USER

    public static final String USER

  User

  See Also:
    Constant Field Values

### WILDCARD

    public static final String WILDCARD

  Wildcard (whether the consumer is a wildcard or not)

  See Also:
    Constant Field Values

### NUM_MSGS_PENDING

    public static final String NUM_MSGS_PENDING

  Number of messages still held for consumer because either they are queued for deliver or pending an ack

  See Also:
    Constant Field Values

### NEXT_MESSAGE_ID

    public static final String NEXT_MESSAGE_ID

  Next message which should be delivered

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.